This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 77739 - /usr/bin/redhat-config-packages installs LPRng when I don't want this
/usr/bin/redhat-config-packages installs LPRng when I don't want this
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-packages (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-12 17:45 EST by Anthony pleace
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-31 02:36:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony pleace 2002-11-12 17:45:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
I think that there is a problem with the package management.

After checking package status I am presented with a screen that shows the
packages that have been installed.

The printing support section is unticked and indicates that there are [0/10]
parts installed.

However I know that I have installed cups.

If I now decide to remove cups and all of the extra packages in this section. I
tick printing support and then click on details. I am now presented with all 
the
extra packages ticked to allow me to install them. I carefully untick these
packages and then choose close.

When I update the add remove packages section the system preparation indicates
that 2 packages are queued for installation and 7 for removal. Show details
reveals that LPRng is to be installed and so is redhat config-printer the 7 to
be removed are appropriate.

I did not want to install LPRng or redhat config-printer.

It looks as though I have to resort to the command line to install and remove
packages?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.use system settings packages
2.select printer support
3.try to install only cups
	

Actual Results:  it installs LPRng every time

Expected Results:  It should not have installed LPRng

Additional info:

I had to use rpm on the command line to remove LPRng
Comment 1 Jeremy Katz 2002-12-31 02:36:28 EST
Printing support is required for X, and printing support defaults to the
inclusion of LPRng

Note You need to log in before you can comment on or make changes to this bug.